PERSIST_STORE (Java Platform SE 8 )
Keywords: org.omg.CORBA.PERSIST_STORE class
Date: 2016-10-23

org.omg.CORBA

## Class PERSIST_STORE

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.PERSIST_STORE

- All Implemented Interfaces:
    Serializable

      public final class PERSIST_STORE
      extends SystemException

  This exception indicates a persistent storage failure, for example, failure to establish a database connection or corruption of a database.

  It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PERSIST_STORE()` Constructs a `PERSIST_STORE` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
    `PERSIST_STORE(int minor, CompletionStatus completed)` Constructs a `PERSIST_STORE` exception with the specified minor code and completion status.
    `PERSIST_STORE(String s)` Constructs a `PERSIST_STORE` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
    `PERSIST_STORE(String s, int minor, CompletionStatus completed)` Constructs a `PERSIST_STORE` exception with the specified description message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PERSIST_STORE

          public PERSIST_STORE()

      Constructs a `PERSIST_STORE` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

    - #### PERSIST_STORE

          public PERSIST_STORE(String s)

      Constructs a `PERSIST_STORE` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
      Parameters:
        `s` - the String containing a detail message

    - #### PERSIST_STORE

          public PERSIST_STORE(int minor,
                               CompletionStatus completed)

      Constructs a `PERSIST_STORE` exception with the specified minor code and completion status.
      Parameters:
        `minor` - the minor code
        `completed` - the completion status

    - #### PERSIST_STORE

          public PERSIST_STORE(String s,
                               int minor,
                               CompletionStatus completed)

      Constructs a `PERSIST_STORE` exception with the specified description message, minor code, and completion status.
      Parameters:
        `s` - the String containing a description message
        `minor` - the minor code
        `completed` - the completion status

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.